com.thinkaurelius.titan.util.datastructures

## Class AbstractLongListUtil

- java.lang.Object
- - com.thinkaurelius.titan.util.datastructures.AbstractLongListUtil

-     public class AbstractLongListUtil
      extends Object

  Utility class for merging and sorting lists of longs
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLongListUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isSorted(com.carrotsearch.hppc.LongArrayList l)`
    `static boolean` | `isSorted(com.carrotsearch.hppc.LongArrayList l, boolean unique)`
    `static com.carrotsearch.hppc.LongArrayList` | `mergeJoin(com.carrotsearch.hppc.LongArrayList a, com.carrotsearch.hppc.LongArrayList b, boolean unique)`
    `static com.carrotsearch.hppc.LongArrayList` | `mergeSort(com.carrotsearch.hppc.LongArrayList a, com.carrotsearch.hppc.LongArrayList b)`
    `static com.carrotsearch.hppc.LongArrayList` | `singleton(long el)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractLongListUtil

          public AbstractLongListUtil()

  - ### Method Detail

    - #### isSorted

          public static boolean isSorted(com.carrotsearch.hppc.LongArrayList l,
                         boolean unique)

    - #### isSorted

          public static boolean isSorted(com.carrotsearch.hppc.LongArrayList l)

    - #### mergeSort

          public static com.carrotsearch.hppc.LongArrayList mergeSort(com.carrotsearch.hppc.LongArrayList a,
                                                      com.carrotsearch.hppc.LongArrayList b)

    - #### mergeJoin

          public static com.carrotsearch.hppc.LongArrayList mergeJoin(com.carrotsearch.hppc.LongArrayList a,
                                                      com.carrotsearch.hppc.LongArrayList b,
                                                      boolean unique)

    - #### singleton

          public static com.carrotsearch.hppc.LongArrayList singleton(long el)

Copyright © 2012–2014. All rights reserved.